(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     48073,       1112]
NotebookOptionsPosition[     45851,       1070]
NotebookOutlinePosition[     46245,       1086]
CellTagsIndexPosition[     46202,       1083]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Assignment 1 Q4 template ", "Section",
 CellChangeTimes->{{3.8975419016841927`*^9, 3.897541955245347*^9}, {
  3.8975419920745697`*^9, 
  3.897542022085484*^9}},ExpressionUUID->"909aa525-afa3-43bf-8324-\
389e370d88ac"],

Cell["PHY 303 Quantum Mechanics, IISER Bhopal, (2023)", "Text",
 CellChangeTimes->{
  3.897542011198008*^9},ExpressionUUID->"6062c6de-f4ef-4bc0-bae3-\
91810c10ef98"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Set", " ", "parameters"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a", ":=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m", ":=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Npts", ":=", "32"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Nfunctions", ":=", "8"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dx", ":=", 
     RowBox[{"a", "/", "Npts"}]}], ";"}], " "}]}]], "Input",
 CellChangeTimes->{{3.897542188738822*^9, 3.897542238294705*^9}, {
  3.8975422855359077`*^9, 3.897542291020465*^9}, {3.8975424809954767`*^9, 
  3.897542491314645*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"a74d62ce-7396-41cf-af32-dfe19fd4ef9e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"x_", ",", "m_"}], "]"}], ":=", 
    RowBox[{"m", " ", "x"}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
   "adjust", " ", "these", " ", "as", " ", "per", " ", "question", " ", "and",
     " ", "choices"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "x_", "]"}], ":=", "x"}], ";"}]}], "Input",
 CellChangeTimes->{{3.8975421568001547`*^9, 3.897542185536036*^9}, {
  3.897542469462675*^9, 3.8975424705436087`*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"46e27967-4a0b-47bc-9e14-4afb7f22f828"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fdiscrete", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Nfunctions"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fdiscretewithaxis", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"mm", ",", "1", ",", "Nfunctions"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"nn", ",", "1", ",", "Npts"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"mm", "=", "1"}], ",", 
    RowBox[{"mm", "<=", " ", "Nfunctions"}], ",", 
    RowBox[{"mm", "=", 
     RowBox[{"mm", "+", "1"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"fdiscrete", "[", 
       RowBox[{"[", "mm", "]"}], "]"}], "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{
          RowBox[{"nn", " ", "dx"}], ",", "mm"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"nn", ",", "0", ",", 
          RowBox[{"Npts", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"fdiscretewithaxis", "[", 
       RowBox[{"[", "mm", "]"}], "]"}], "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"nn", " ", "dx"}], ",", 
          RowBox[{"f", "[", 
           RowBox[{
            RowBox[{"nn", " ", "dx"}], ",", "mm"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"nn", ",", "0", ",", 
          RowBox[{"Npts", "-", "1"}]}], "}"}]}], "]"}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.8975422424453897`*^9, 3.897542260952319*^9}, {
   3.897542296856606*^9, 3.8975423888025*^9}, {3.8975424578576307`*^9, 
   3.89754247863818*^9}, {3.897542520356299*^9, 3.897542527131466*^9}, 
   3.897543804085597*^9},
 CellLabel->"In[61]:=",ExpressionUUID->"6a566f6c-e5dc-4039-9415-236ee71c8719"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"discplot", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"fdiscretewithaxis", "[", 
     RowBox[{"[", "1", "]"}], "]"}], ",", 
    RowBox[{"AxesLabel", "->", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x\>\"", ",", "Bold", ",", "16"}], "]"}], ",", 
       RowBox[{"Style", "[", 
        RowBox[{
        "\"\<f[\!\(\*SubscriptBox[\(x\), \(k\)]\)]\>\"", ",", "Bold", ",", 
         "16"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"PlotMarkers", "->", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"Scaled", "[", "0.03", "]"}]}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.897542327411399*^9, 3.897542328086128*^9}, {
   3.897542501564578*^9, 3.897542543308984*^9}, {3.897542582102004*^9, 
   3.897542618030909*^9}, {3.897542763765457*^9, 3.897542764956682*^9}, 
   3.897543807035467*^9},
 CellLabel->"In[64]:=",ExpressionUUID->"50001295-d4eb-4b7e-887e-ea07edc8a88f"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`], 
    AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
      FormBox[
       StyleBox[
        GraphicsBox[
         {EdgeForm[None], DiskBox[{0, 0}]}],
        StripOnInput->False,
        GraphicsBoxOptions->{DefaultBaseStyle->Directive[
          PointSize[0.012833333333333334`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]]}],
       TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["
1:eJx1xUkKQGAAQOEfF+Ek7uAIytqVHMHS0sLCwkKSJMk8D1dgpbzy6vVppm1Y
ihBCfZaeZfGXo391oQd9GMAQRjCGCUxhBnNYwBJWsIYNbGEHezjAEU5whgtc
4QZ3eMATXq83irBFsg==
     "]]}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.96875}, {0, 0.96875}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.897542328410388*^9, 3.897542536764414*^9, {3.897542585949894*^9, 
   3.897542618308011*^9}, 3.897542765376976*^9, {3.8975438089843884`*^9, 
   3.8975438140257998`*^9}},
 CellLabel->"Out[64]=",ExpressionUUID->"f72115e9-816d-43f3-bc58-1b02aae6ad53"]
}, Open  ]],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "type", " ", "somthing", " ", "like", " ", "the", " ", "line", " ", 
     "below", " ", "to", " ", "know", " ", "the", " ", "documentation", " ", 
     "of", " ", "any", " ", "build"}], "-", 
    RowBox[{"in", " ", "command", " ", "that", " ", "I", " ", "used"}]}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.897542678876649*^9, 
  3.8975426809247837`*^9}},ExpressionUUID->"de58d771-ab45-4797-a939-\
3d68d40f81aa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", " ", "ListPlot "}]], "Input",
 CellChangeTimes->{{3.8975426254596977`*^9, 3.897542645852232*^9}},
 CellLabel->
  "In[232]:=",ExpressionUUID->"21182739-7c33-408f-a5e4-b0e91a8442f6"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox[
           PaneBox[
            TooltipBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIcon"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                CurrentValue["MouseOver"]]],
              Appearance->None,
              BaseStyle->"Link",
              ButtonData->"paclet:ref/ListPlot",
              ButtonNote->"paclet:ref/ListPlot"],
             "\"paclet:ref/ListPlot\""],
            FrameMargins->{{0, 4}, {0, 2}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\
\\\"n\\\", \\\"TI\\\"]]}], \\\"}\\\"}], \\\"]\\\"}]\\) plots points \
\\!\\(\\*RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \
SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \
\\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \
\\\"TR\\\"]}]\\). \\n\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", RowBox[{\\\
\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \
\\\"TR\\\"], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"n\\\", \
\\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"n\\\", \\\"TI\\\"]]}], \\\"}\\\"}]}], \\\"}\\\"}], \
\\\"]\\\"}]\\) generates a 2D scatter plot of points with coordinates \
\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\
\"], StyleBox[\\\"i\\\", \\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\
\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\"TI\\\"]]}], \
\\\"}\\\"}]\\).\\n\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", RowBox[{\\\"{\
\\\", RowBox[{SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], StyleBox[\\\"1\
\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"data\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\
\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) plots data from \
all the \\!\\(\\*SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], StyleBox[\\\
\"i\\\", \\\"TI\\\"]]\\).\\n\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"], \\\",\\\
\", RowBox[{StyleBox[\\\"w\\\", \\\"TI\\\"], \\\"[\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \
\\\"TI\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"]\\\
\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\
\"]\\\"}]\\) plots \\!\\(\\*SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], \
StyleBox[\\\"i\\\", \\\"TI\\\"]]\\) with features defined by the symbolic \
wrapper \\!\\(\\*StyleBox[\\\"w\\\", \\\"TI\\\"]\\). \"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                   TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/ListPlot", 
                    "paclet:ref/ListPlot", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/ListPlot.html"]\
, None}, "http://reference.wolfram.com/language/ref/ListPlot.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                  {
                   PaneSelectorBox[{True->
                    ButtonBox[
                    PaneSelectorBox[{False->
                    TemplateBox[{"\[ThickSpace]", "\"\[ThickSpace]\"", 
                    StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "DownPointerOpener"]]},
                    "RowWithSeparators"], True->
                    TemplateBox[{"\[ThickSpace]", "\"\[ThickSpace]\"", 
                    StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "DownPointerOpenerHot"]]},
                    "RowWithSeparators"]}, Dynamic[
                    CurrentValue["MouseOver"]],
                    FrameMargins->0,
                    ImageSize->Automatic],
                    Appearance->None,
                    BaseStyle->None,
                    
                    ButtonFunction:>(Part[System`InformationDump`open$$, 3] = 
                    False),
                    Evaluator->Automatic,
                    FrameMargins->0,
                    ImageMargins->0,
                    Method->"Preemptive"], False->
                    ButtonBox[
                    PaneSelectorBox[{False->
                    TemplateBox[{"\[ThickSpace]", "\"\[ThickSpace]\"", 
                    StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "RightPointerOpener"]]},
                    "RowWithSeparators"], True->
                    TemplateBox[{"\[ThickSpace]", "\"\[ThickSpace]\"", 
                    StyleBox[
                    "\"Options\"", "InformationRowLabel", StripOnInput -> 
                    False], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "RightPointerOpenerHot"]]},
                    "RowWithSeparators"]}, Dynamic[
                    CurrentValue["MouseOver"]],
                    FrameMargins->0,
                    ImageSize->Automatic],
                    Appearance->None,
                    BaseStyle->None,
                    
                    ButtonFunction:>(Part[System`InformationDump`open$$, 3] = 
                    True),
                    Evaluator->Automatic,
                    FrameMargins->0,
                    ImageMargins->0,
                    Method->"Preemptive"]}, Dynamic[
                    FEPrivate`Part[System`InformationDump`open$$, 3]]], 
                   PaneSelectorBox[{True->GridBox[{
                    {
                    RowBox[{"AlignmentPoint", "\[Rule]", "Center"}]},
                    {
                    RowBox[{"AspectRatio", "\[Rule]", 
                    FractionBox["1", "GoldenRatio"]}]},
                    {
                    RowBox[{"Axes", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"AxesLabel", "\[Rule]", "None"}]},
                    {
                    RowBox[{"AxesOrigin", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"AxesStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"Background", "\[Rule]", "None"}]},
                    {
                    RowBox[{"BaselinePosition", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"BaseStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"ClippingStyle", "\[Rule]", "None"}]},
                    {
                    RowBox[{"ColorFunction", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}]},
                    {
                    RowBox[{"ColorOutput", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"ContentSelectable", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{
                    "CoordinatesToolOptions", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"DataRange", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{
                    "DisplayFunction", "\[RuleDelayed]", "$DisplayFunction"}]},
                    {
                    RowBox[{"Epilog", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"Filling", "\[Rule]", "None"}]},
                    {
                    RowBox[{"FillingStyle", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{
                    "FormatType", "\[RuleDelayed]", "TraditionalForm"}]},
                    {
                    RowBox[{"Frame", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"FrameLabel", "\[Rule]", "None"}]},
                    {
                    RowBox[{"FrameStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"FrameTicks", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"FrameTicksStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"GridLines", "\[Rule]", "None"}]},
                    {
                    RowBox[{"GridLinesStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"ImageMargins", "\[Rule]", "0.`"}]},
                    {
                    RowBox[{"ImagePadding", "\[Rule]", "All"}]},
                    {
                    RowBox[{"ImageSize", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"ImageSizeRaw", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"InterpolationOrder", "\[Rule]", "None"}]},
                    {
                    RowBox[{"IntervalMarkers", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{
                    "IntervalMarkersStyle", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"Joined", "\[Rule]", "False"}]},
                    {
                    RowBox[{"LabelingFunction", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"LabelingSize", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"LabelStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"MaxPlotPoints", "\[Rule]", "\[Infinity]"}]},
                    {
                    RowBox[{"Mesh", "\[Rule]", "None"}]},
                    {
                    RowBox[{"MeshFunctions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"#1", "&"}], "}"}]}]},
                    {
                    RowBox[{"MeshShading", "\[Rule]", "None"}]},
                    {
                    RowBox[{"MeshStyle", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"Method", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{
                    "PerformanceGoal", "\[RuleDelayed]", "$PerformanceGoal"}]},
                    {
                    RowBox[{"PlotLabel", "\[Rule]", "None"}]},
                    {
                    RowBox[{"PlotLabels", "\[Rule]", "None"}]},
                    {
                    RowBox[{"PlotLayout", "\[Rule]", "\<\"Overlaid\"\>"}]},
                    {
                    RowBox[{"PlotLegends", "\[Rule]", "None"}]},
                    {
                    RowBox[{"PlotMarkers", "\[Rule]", "None"}]},
                    {
                    RowBox[{"PlotRange", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"PlotRangeClipping", "\[Rule]", "True"}]},
                    {
                    RowBox[{"PlotRangePadding", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"PlotRegion", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"PlotStyle", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"PlotTheme", "\[RuleDelayed]", "$PlotTheme"}]},
                    {
                    RowBox[{
                    "PreserveImageOptions", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"Prolog", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    RowBox[{"RotateLabel", "\[Rule]", "True"}]},
                    {
                    RowBox[{"ScalingFunctions", "\[Rule]", "None"}]},
                    {
                    RowBox[{"TargetUnits", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"Ticks", "\[Rule]", "Automatic"}]},
                    {
                    RowBox[{"TicksStyle", "\[Rule]", 
                    RowBox[{"{", "}"}]}]},
                    {
                    StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\[InvisibleSpace]\"", "64", "\" total)\""},
                    "RowDefault"], "InformationRowOpener",
                    StripOnInput->False]}
                    },
                    BaselinePosition->{Baseline, {1, 1}},
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{1.}}}], False->
                    RowBox[{
                    RowBox[{"AlignmentPoint", "\[Rule]", "Center"}], 
                    "\[ThinSpace]", 
                    StyleBox["\<\"\[Ellipsis]\"\>", "InformationRowOpener",
                    StripOnInput->False], "\[ThinSpace]", 
                    StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\[InvisibleSpace]\"", "64", "\" total)\""},
                    "RowDefault"], "InformationRowOpener",
                    StripOnInput->False]}]}, Dynamic[
                    FEPrivate`Part[System`InformationDump`open$$, 3]],
                    BaselinePosition->Baseline,
                    ImageSize->Automatic]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                   RowBox[{"{", 
                    RowBox[{"Protected", ",", "ReadProtected"}], "}"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`ListPlot\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->{{6, 6}, {6, 3}}], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox[
           PaneBox[
            TooltipBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIcon"],
                ImageSizeCache->{16., {2., 14.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "InformationHelpIconHot"],
                ImageSizeCache->{16., {2., 14.}}]}, Dynamic[
                CurrentValue["MouseOver"]]],
              Appearance->None,
              BaseStyle->"Link",
              ButtonData->"paclet:ref/ListPlot",
              ButtonNote->"paclet:ref/ListPlot"],
             "\"paclet:ref/ListPlot\""],
            FrameMargins->{{0, 4}, {0, 2}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\
\\\"n\\\", \\\"TI\\\"]]}], \\\"}\\\"}], \\\"]\\\"}]\\) plots points \
\\!\\(\\*RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \
SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \
\\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\\\"2\\\", \
\\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \
\\\"TR\\\"]}]\\). \\n\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", RowBox[{\\\
\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \
\\\"TI\\\"], StyleBox[\\\"1\\\", \\\"TR\\\"]], \\\",\\\", \
SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]]}], \\\"}\\\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \
\\\"TR\\\"], \\\",\\\", RowBox[{\\\"{\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\"], StyleBox[\\\"n\\\", \
\\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\\\", \\\"TI\\\"], \
StyleBox[\\\"n\\\", \\\"TI\\\"]]}], \\\"}\\\"}]}], \\\"}\\\"}], \
\\\"]\\\"}]\\) generates a 2D scatter plot of points with coordinates \
\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{SubscriptBox[StyleBox[\\\"x\\\", \\\"TI\\\
\"], StyleBox[\\\"i\\\", \\\"TI\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"y\
\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\"TI\\\"]]}], \
\\\"}\\\"}]\\).\\n\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", RowBox[{\\\"{\
\\\", RowBox[{SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], StyleBox[\\\"1\
\\\", \\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"data\\\", \
\\\"TI\\\"], StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\
\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\"]\\\"}]\\) plots data from \
all the \\!\\(\\*SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], StyleBox[\\\
\"i\\\", \\\"TI\\\"]]\\).\\n\\!\\(\\*RowBox[{\\\"ListPlot\\\", \\\"[\\\", \
RowBox[{\\\"{\\\", RowBox[{StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"], \\\",\\\
\", RowBox[{StyleBox[\\\"w\\\", \\\"TI\\\"], \\\"[\\\", \
RowBox[{SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \
\\\"TI\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"]\\\
\"}], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\"TR\\\"]}], \\\"}\\\"}], \\\
\"]\\\"}]\\) plots \\!\\(\\*SubscriptBox[StyleBox[\\\"data\\\", \\\"TI\\\"], \
StyleBox[\\\"i\\\", \\\"TI\\\"]]\\) with features defined by the symbolic \
wrapper \\!\\(\\*StyleBox[\\\"w\\\", \\\"TI\\\"]\\). \"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {2., 11.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {2., 11.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "\!\(\*RowBox[{\"ListPlot\", \"[\", RowBox[{\"{\", \
RowBox[{SubscriptBox[StyleBox[\"y\", \"TI\"], StyleBox[\"1\", \"TR\"]], \
\",\", StyleBox[\"\[Ellipsis]\", \"TR\"], \",\", SubscriptBox[StyleBox[\"y\", \
\"TI\"], StyleBox[\"n\", \"TI\"]]}], \"}\"}], \"]\"}]\) plots points \
\!\(\*RowBox[{RowBox[{\"{\", RowBox[{\"1\", \",\", \
SubscriptBox[StyleBox[\"y\", \"TI\"], StyleBox[\"1\", \"TR\"]]}], \"}\"}], \
\",\", RowBox[{\"{\", RowBox[{\"2\", \",\", SubscriptBox[StyleBox[\"y\", \"TI\
\"], StyleBox[\"2\", \"TR\"]]}], \"}\"}], \",\", StyleBox[\"\[Ellipsis]\", \
\"TR\"]}]\). \n\!\(\*RowBox[{\"ListPlot\", \"[\", RowBox[{\"{\", \
RowBox[{RowBox[{\"{\", RowBox[{SubscriptBox[StyleBox[\"x\", \"TI\"], \
StyleBox[\"1\", \"TR\"]], \",\", SubscriptBox[StyleBox[\"y\", \"TI\"], \
StyleBox[\"1\", \"TR\"]]}], \"}\"}], \",\", StyleBox[\"\[Ellipsis]\", \
\"TR\"], \",\", RowBox[{\"{\", RowBox[{SubscriptBox[StyleBox[\"x\", \"TI\"], \
StyleBox[\"n\", \"TI\"]], \",\", SubscriptBox[StyleBox[\"y\", \"TI\"], \
StyleBox[\"n\", \"TI\"]]}], \"}\"}]}], \"}\"}], \"]\"}]\) generates a 2D \
scatter plot of points with coordinates \!\(\*RowBox[{\"{\", \
RowBox[{SubscriptBox[StyleBox[\"x\", \"TI\"], StyleBox[\"i\", \"TI\"]], \
\",\", SubscriptBox[StyleBox[\"y\", \"TI\"], StyleBox[\"i\", \"TI\"]]}], \
\"}\"}]\).\n\!\(\*RowBox[{\"ListPlot\", \"[\", RowBox[{\"{\", \
RowBox[{SubscriptBox[StyleBox[\"data\", \"TI\"], StyleBox[\"1\", \"TR\"]], \
\",\", SubscriptBox[StyleBox[\"data\", \"TI\"], StyleBox[\"2\", \"TR\"]], \",\
\", StyleBox[\"\[Ellipsis]\", \"TR\"]}], \"}\"}], \"]\"}]\) plots data from \
all the \!\(\*SubscriptBox[StyleBox[\"data\", \"TI\"], StyleBox[\"i\", \
\"TI\"]]\).\n\!\(\*RowBox[{\"ListPlot\", \"[\", RowBox[{\"{\", \
RowBox[{StyleBox[\"\[Ellipsis]\", \"TR\"], \",\", RowBox[{StyleBox[\"w\", \
\"TI\"], \"[\", RowBox[{SubscriptBox[StyleBox[\"data\", \"TI\"], StyleBox[\"i\
\", \"TI\"]], \",\", StyleBox[\"\[Ellipsis]\", \"TR\"]}], \"]\"}], \",\", \
StyleBox[\"\[Ellipsis]\", \"TR\"]}], \"}\"}], \"]\"}]\) plots \
\!\(\*SubscriptBox[StyleBox[\"data\", \"TI\"], StyleBox[\"i\", \"TI\"]]\) \
with features defined by the symbolic wrapper \!\(\*StyleBox[\"w\", \
\"TI\"]\). ", "Documentation" -> 
    Association[
     "Local" -> "paclet:ref/ListPlot", "Web" -> 
      "http://reference.wolfram.com/language/ref/ListPlot.html"], "OwnValues" -> 
    None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> {
     AlignmentPoint -> Center, AspectRatio -> GoldenRatio^(-1), Axes -> 
      Automatic, AxesLabel -> None, AxesOrigin -> Automatic, AxesStyle -> {}, 
      Background -> None, BaselinePosition -> Automatic, BaseStyle -> {}, 
      ClippingStyle -> None, ColorFunction -> Automatic, ColorFunctionScaling -> 
      True, ColorOutput -> Automatic, ContentSelectable -> Automatic, 
      CoordinatesToolOptions -> Automatic, DataRange -> Automatic, 
      DisplayFunction :> $DisplayFunction, Epilog -> {}, Filling -> None, 
      FillingStyle -> Automatic, FormatType :> TraditionalForm, Frame -> 
      Automatic, FrameLabel -> None, FrameStyle -> {}, FrameTicks -> 
      Automatic, FrameTicksStyle -> {}, GridLines -> None, 
      GridLinesStyle -> {}, ImageMargins -> 0., ImagePadding -> All, 
      ImageSize -> Automatic, ImageSizeRaw -> Automatic, InterpolationOrder -> 
      None, IntervalMarkers -> Automatic, IntervalMarkersStyle -> Automatic, 
      Joined -> False, LabelingFunction -> Automatic, LabelingSize -> 
      Automatic, LabelStyle -> {}, MaxPlotPoints -> DirectedInfinity[1], Mesh -> 
      None, MeshFunctions -> {#& }, MeshShading -> None, MeshStyle -> 
      Automatic, Method -> Automatic, PerformanceGoal :> $PerformanceGoal, 
      PlotLabel -> None, PlotLabels -> None, PlotLayout -> "Overlaid", 
      PlotLegends -> None, PlotMarkers -> None, PlotRange -> Automatic, 
      PlotRangeClipping -> True, PlotRangePadding -> Automatic, PlotRegion -> 
      Automatic, PlotStyle -> Automatic, PlotTheme :> $PlotTheme, 
      PreserveImageOptions -> Automatic, Prolog -> {}, RotateLabel -> True, 
      ScalingFunctions -> None, TargetUnits -> Automatic, Ticks -> Automatic, 
      TicksStyle -> {}}, "Attributes" -> {Protected, ReadProtected}, 
    "FullName" -> "System`ListPlot"], False]]], "Output",
 CellChangeTimes->{3.897542649122505*^9},
 CellLabel->
  "Out[232]=",ExpressionUUID->"b8ff9d37-3373-48b4-b009-30e70a8e8c21"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.897542660395446*^9, 
  3.897542675385676*^9}},ExpressionUUID->"c6216dfd-7151-48ab-bef3-\
b96acf1d56d9"],

Cell["Other useful constructions for this assignment:", "Text",
 CellChangeTimes->{{3.897542713208206*^9, 
  3.897542739640916*^9}},ExpressionUUID->"2ff49829-a82f-4e3a-b232-\
8b4d85cc7aa4"],

Cell["Compare a discrete and a continuous plot", "Text",
 CellChangeTimes->{{3.89754274483746*^9, 
  3.897542759160701*^9}},ExpressionUUID->"b93c62c6-fa0a-4ba0-8757-\
8ec60ffeba79"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"contplot", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{"x", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "a"}], "}"}], ",", 
     RowBox[{"PlotStyle", "->", "Red"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"discplot", ",", "contplot"}], "]"}]}], "Input",
 CellChangeTimes->{{3.897542768903688*^9, 3.897542850793104*^9}},
 CellLabel->
  "In[238]:=",ExpressionUUID->"08e98d47-d9e2-4f5a-bbdc-279612150523"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], DiskBox[{0, 0}]}],
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Scaled[0.03]], CompressedData["

1:eJx1xUkKQGAAQOEfF+Ek7uAIytqVHMHS0sLCwkKSJMk8D1dgpbzy6vVppm1Y
ihBCfZaeZfGXo391oQd9GMAQRjCGCUxhBnNYwBJWsIYNbGEHezjAEU5whgtc
4QZ3eMATXq83irBFsg==
      "]]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       LineBox[CompressedData["
1:eJxFxW0w03EcAPCNdZRrjMr9adxE5SlOUlKpuMhDneHk8nRCWk/InXR1WrdJ
nua6nZTnh5R2jGyuMnHsdDnPo1GzMUtj83RndnRZ9cL39+JzH0r8XWqiHg6H
C/7n/wGJypGu+fAz2xN8LFJkmLv39kcrS8paMV84cED8vhwLgyMStB3PsQR4
yuWpTwGWDlftvZydizFgumHroWcYG74SWc1dWa2DjXT0KD8rLmwXsqTsyePB
GYOe3iVrH2FzHkmKx3fCbXKf/qFT3XA3rdwyUi2ENQdPGzfe/gLrbXBMLO36
YA9dXFtoUz/cz3Af7HUYgq2LVBsNS8OwSiuTjruOwnUL7X3EQhFMJL9ZVijG
4Pwb/KQq22/w+lmOIjlLDKe7CXn7eiZgWZMwb4TyHf5NGyu1f/ADdjxnsJXU
LoH9aijXW8ylcAY51mYmSgY7qcONxMHTsJnxiqFwE03oLOUeKJuBb7q3T+4M
lMOci/FVn9fRGpWFyVzxLMwP9dNn+yrgLH9mJW8OTZkKmKhl/oRPHmewMbc5
OMpqaAMvQmv6CuQp9F9wCSEmnWqrhM2k/Bo9IXrHI3qYZ+o8jGuI4cpNF+C0
V9wC0250h2OOIemOCiYFpDk9IaphifOwKFOAbq7wtlXELMLRXA8SeQv9mFlN
l7xbghuV5FJi0DKcU86Mk15CJ1AX7ZpC0PsFgubgCHQu62pvfjw62ePl6q5M
tA1jj79BPXrrxMPd4rfoycXZ0XoOuiiiNfpCC1rnQL3HFKAlI6wKfRH6Q7b2
mmgczfaKta+dQAe+PsI7L0V/uj/wlT6PLnY+xgpRo1PlZWGUZfThoFuyrjU0
AT9WV6RFT/O9aHGbaAGt1sX1D/qFtZFGp0P/BaO4ekM=
        "]]},
      Annotation[#, "Charting`Private`Tag$17023#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     StyleBox["\"x\"", Bold, 16, StripOnInput -> False], TraditionalForm], 
    FormBox[
     StyleBox[
     "\"f[\\!\\(\\*SubscriptBox[\\(x\\), \\(k\\)]\\)]\"", Bold, 16, 
      StripOnInput -> False], TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.96875}, {0, 0.96875}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.8975428510575237`*^9},
 CellLabel->
  "Out[239]=",ExpressionUUID->"1686ddd4-cc96-45e7-abc1-42c5f987b7bf"]
}, Open  ]],

Cell["Multiply a vector and a matrix", "Text",
 CellChangeTimes->{{3.897542856576754*^9, 
  3.8975428683700647`*^9}},ExpressionUUID->"9f5b4a30-60ba-4eff-a75c-\
6fdded7e9d93"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MM", ":=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "0", "1"},
      {"0", "2", "0"},
      {"1", "0", "1"}
     }], "\[NoBreak]", ")"}]}], ";", " ", 
  RowBox[{"vv", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1"},
      {"1"},
      {"1"}
     }], "\[NoBreak]", ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.897542869696144*^9, 3.8975429010689774`*^9}},
 CellLabel->
  "In[240]:=",ExpressionUUID->"3d270b7f-1a0a-4bf7-8e54-5c4c35ad7c80"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vvprime", "=", 
   RowBox[{"MM", ".", "vv"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vvprime", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.8975429033456087`*^9, 3.897542912378454*^9}},
 CellLabel->
  "In[241]:=",ExpressionUUID->"b07f3b0e-a192-412c-80e0-0ed251afdfd9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2"},
     {"2"},
     {"2"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.897542912917597*^9},
 CellLabel->
  "Out[242]//MatrixForm=",ExpressionUUID->"640118ea-91ef-41ec-8ae7-\
072678802ca3"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1298, 938},
WindowMargins->{{Automatic, 258}, {12, Automatic}},
FrontEndVersion->"12.3 for Mac OS X x86 (64-bit) (July 9, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"935c2ce7-79a7-494b-95ee-b1a64ec70417"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 223, 4, 122, "Section",ExpressionUUID->"909aa525-afa3-43bf-8324-389e370d88ac"],
Cell[806, 28, 165, 3, 65, "Text",ExpressionUUID->"6062c6de-f4ef-4bc0-bae3-91810c10ef98"],
Cell[974, 33, 772, 19, 308, "Input",ExpressionUUID->"a74d62ce-7396-41cf-af32-dfe19fd4ef9e"],
Cell[1749, 54, 609, 16, 116, "Input",ExpressionUUID->"46e27967-4a0b-47bc-9e14-4afb7f22f828"],
Cell[2361, 72, 2048, 57, 356, "Input",ExpressionUUID->"6a566f6c-e5dc-4039-9415-236ee71c8719"],
Cell[CellGroupData[{
Cell[4434, 133, 970, 23, 164, "Input",ExpressionUUID->"50001295-d4eb-4b7e-887e-ea07edc8a88f"],
Cell[5407, 158, 2184, 58, 333, "Output",ExpressionUUID->"f72115e9-816d-43f3-bc58-1b02aae6ad53"]
}, Open  ]],
Cell[7606, 219, 492, 12, 116, "Input",ExpressionUUID->"de58d771-ab45-4797-a939-3d68d40f81aa"],
Cell[CellGroupData[{
Cell[8123, 235, 208, 4, 67, "Input",ExpressionUUID->"21182739-7c33-408f-a5e4-b0e91a8442f6"],
Cell[8334, 241, 31613, 656, 269, "Output",ExpressionUUID->"b8ff9d37-3373-48b4-b009-30e70a8e8c21"]
}, Open  ]],
Cell[39962, 900, 152, 3, 67, "Input",ExpressionUUID->"c6216dfd-7151-48ab-bef3-b96acf1d56d9"],
Cell[40117, 905, 189, 3, 65, "Text",ExpressionUUID->"2ff49829-a82f-4e3a-b232-8b4d85cc7aa4"],
Cell[40309, 910, 181, 3, 65, "Text",ExpressionUUID->"b93c62c6-fa0a-4ba0-8757-8ec60ffeba79"],
Cell[CellGroupData[{
Cell[40515, 917, 495, 13, 116, "Input",ExpressionUUID->"08e98d47-d9e2-4f5a-bbdc-279612150523"],
Cell[41013, 932, 3152, 77, 333, "Output",ExpressionUUID->"1686ddd4-cc96-45e7-abc1-42c5f987b7bf"]
}, Open  ]],
Cell[44180, 1012, 174, 3, 65, "Text",ExpressionUUID->"9f5b4a30-60ba-4eff-a75c-6fdded7e9d93"],
Cell[44357, 1017, 497, 16, 139, "Input",ExpressionUUID->"3d270b7f-1a0a-4bf7-8e54-5c4c35ad7c80"],
Cell[CellGroupData[{
Cell[44879, 1037, 318, 7, 116, "Input",ExpressionUUID->"b07f3b0e-a192-412c-80e0-0ed251afdfd9"],
Cell[45200, 1046, 623, 20, 164, "Output",ExpressionUUID->"640118ea-91ef-41ec-8ae7-072678802ca3"]
}, Open  ]]
}, Open  ]]
}
]
*)

